import arcpy, sys
from arcpy import env
from arcpy.sa import *

arcpy.CheckOutExtension = "Spatial"

#Variables pour les entrées
sp = arcpy.Raster(sys.argv[1])
fl = arcpy.Raster(sys.argv[2])
sd = arcpy.Raster(sys.argv[3])
m = arcpy.Raster(sys.argv[4])

#Défini le dossier de sortie et le format
Workspace = sys.argv[5]
env.workspace = Workspace
output =sys.argv[6]

# Fait sortir la résolution d'une des matrices pour en tenir compte dans le calcul
RasterReso = arcpy.GetRasterProperties_management(sp,"CELLSIZEX")
Res = float(RasterReso.getOutput(0))

#Équation pour le facteur LS
outCon = Con((sp < 9 ) & ((fl + Res) >= 5),(Power(((fl + Res)/22.13),(m/10)) * ( 10.8 * Sin( sd * 0.0174533 ) + 0.03)), Con((sp >= 9) & ((fl + Res) >= 5),(Power(((fl + Res) / 22.13),(m/10) ) * ( 16.8 * Sin( sd * 0.0174533 ) + 0.5)), Con(((fl + Res) < 5),(Power(((fl + Res) / 22.13),(m/10) ) * ( 3 * Power(Sin( sd * 0.0174533 ), 0.8) + 0.56)))))
outCon.save(output)
